package com.yonge.cooleshow.bbs.dto;

import com.yonge.cooleshow.bbs.entity.BbsPrivateMessage;
import com.yonge.toolset.base.page.PageInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022-06-09 17:27:11
 */
@ApiModel(value = "BbsPrivateMessageDto对象", description = "私信数据传输对象")
public class BbsPrivateMessageDto extends BbsPrivateMessage{
	private static final long serialVersionUID = 1L;

    @ApiModelProperty("私信对象名")
    private String receiverName;

    @ApiModelProperty("私信对象头像")
    private String receiverAvatar;


    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("头像")
    private String userAvatar;

    @ApiModelProperty("所有的未读消息列表")
    private List<BbsPrivateMessage> unreadList;

    @ApiModelProperty("已读消息列表")
    private PageInfo<BbsPrivateMessage> readPage;

    public List<BbsPrivateMessage> getUnreadList() {
        return unreadList;
    }

    public void setUnreadList(List<BbsPrivateMessage> unreadList) {
        this.unreadList = unreadList;
    }

    public PageInfo<BbsPrivateMessage> getReadPage() {
        return readPage;
    }

    public void setReadPage(PageInfo<BbsPrivateMessage> readPage) {
        this.readPage = readPage;
    }

    public String getReceiverName() {
        return receiverName;
    }

    public void setReceiverName(String receiverName) {
        this.receiverName = receiverName;
    }

    public String getReceiverAvatar() {
        return receiverAvatar;
    }

    public void setReceiverAvatar(String receiverAvatar) {
        this.receiverAvatar = receiverAvatar;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserAvatar() {
        return userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }

}